API ReferenceB Y O A
List BYOA requester registrations for the org.
List BYOA requester registrations for the org. - Rensei REST API operation reference.
AuthorizationBearer <token>
Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
In: header
Path Parameters
orgId*string
Organization id (must match the authenticated org).
Response Body
application/json
curl -X GET "https://example.com/api/org/string/requester-registrations"{
"registrations": [
{
"id": "string",
"orgId": "string",
"actorHandle": "string",
"displayName": "string",
"allowedProjectIds": [
"string"
],
"allowedWorkflowTemplateSlugs": [
"string"
],
"grantedScopes": [
"string"
],
"cedarPosture": "string",
"pinnedPoolId": "string",
"publicKey": "string",
"status": "string",
"createdBy": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}
]
}Empty
Empty
Empty
Create an org invite (org admin).
Create an org invite (org admin). - Rensei REST API operation reference.
Create a requester registration and mint its bound dispatch key (token returned once).
Create a requester registration and mint its bound dispatch key (token returned once). - Rensei REST API operation reference.